package com.sinosig.mongodb.po;

import java.io.Serializable;
import java.math.BigDecimal;
import java.sql.Timestamp;
import java.math.BigInteger;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.HashMap;
import com.sinosig.core.repository.po.YDJJDC;
import org.springframework.data.mongodb.core.mapping.Document;

/**
 * 大数据 [已登记机动车] 对象
 */
@Document(collection = "hydjjdc")
public class HYDJJDCImpl implements YDJJDC {

    /**
     * 获取 [A/B类]
     */
    private String Abl;
    private boolean AblDirtyFlag;
    
    /**
     * 获取 [初登日期]
     */
    private Timestamp Cdrq;
    private boolean CdrqDirtyFlag;
    
    /**
     * 获取 [车架号]
     */
    private String Cjh;
    private boolean CjhDirtyFlag;
    
    /**
     * 获取 [车辆大类]
     */
    private String Cldl;
    private boolean CldlDirtyFlag;
    
    /**
     * 获取 [车辆类型描述]
     */
    private String Cllxms;
    private boolean CllxmsDirtyFlag;
    
    /**
     * 获取 [车辆实际价值]
     */
    private BigDecimal Clsjjz;
    private boolean ClsjjzDirtyFlag;
    
    /**
     * 获取 [车辆种类]
     */
    private String Clzl;
    private boolean ClzlDirtyFlag;
    
    /**
     * 获取 [车牌号码]
     */
    private String Cphm;
    private boolean CphmDirtyFlag;
    
    /**
     * 获取 [厂牌型号]
     */
    private String CPXH;
    private boolean CPXHDirtyFlag;
    
    /**
     * 获取 [建立时间]
     */
    private Timestamp CreateDate;
    private boolean CreateDateDirtyFlag;
    
    /**
     * 获取 [建立人]
     */
    private String CreateMan;
    private boolean CreateManDirtyFlag;
    
    /**
     * 获取 [打印厂牌型号]
     */
    private String Dycpxh;
    private boolean DycpxhDirtyFlag;
    
    /**
     * 获取 [发动机号]
     */
    private String Fdjh;
    private boolean FdjhDirtyFlag;
    
    /**
     * 获取 [功率]
     */
    private Double Gl;
    private boolean GlDirtyFlag;
    
    /**
     * 获取 [核定载客]
     */
    private Integer Hdzk;
    private boolean HdzkDirtyFlag;
    
    /**
     * 获取 [核定载质量]
     */
    private Double Hdzzl;
    private boolean HdzzlDirtyFlag;
    
    /**
     * 获取 [号牌底色]
     */
    private String Hpds;
    private boolean HpdsDirtyFlag;
    
    /**
     * 获取 [号牌种类]
     */
    private String Hpzl;
    private boolean HpzlDirtyFlag;
    
    /**
     * 获取 [排量]
     */
    private Double Pl;
    private boolean PlDirtyFlag;
    
    /**
     * 获取 [使用性质]
     */
    private String Syxz;
    private boolean SyxzDirtyFlag;
    
    /**
     * 获取 [更新时间]
     */
    private Timestamp UpdateDate;
    private boolean UpdateDateDirtyFlag;
    
    /**
     * 获取 [更新人]
     */
    private String UpdateMan;
    private boolean UpdateManDirtyFlag;
    
    /**
     * 获取 [新车购置价]
     */
    private BigDecimal Xcgzj;
    private boolean XcgzjDirtyFlag;
    
    /**
     * 获取 [已登记机动车标识]
     */
    private String YDJJDCId;
    private boolean YDJJDCIdDirtyFlag;
    
    /**
     * 获取 [已登记机动车名称]
     */
    private String YDJJDCName;
    private boolean YDJJDCNameDirtyFlag;
    
    /**
     * 获取 [整备质量]
     */
    private Double Zbzl;
    private boolean ZbzlDirtyFlag;
    

    /**
     * 获取 [A/B类]
     */
    public String getAbl(){
        return Abl ;
    }

    /**
     * 设置 [A/B类]
     */
    public void setAbl(String  abl){
        this.Abl = abl ;
        this.AblDirtyFlag = true ;
    }

        /**
     * 获取 [A/B类]脏标记
     */
    public boolean getAblDirtyFlag() {
        return AblDirtyFlag ;
    }
    /**
     * 获取 [初登日期]
     */
    public Timestamp getCdrq(){
        return Cdrq ;
    }

    /**
     * 设置 [初登日期]
     */
    public void setCdrq(Timestamp  cdrq){
        this.Cdrq = cdrq ;
        this.CdrqDirtyFlag = true ;
    }

        /**
     * 获取 [初登日期]脏标记
     */
    public boolean getCdrqDirtyFlag() {
        return CdrqDirtyFlag ;
    }
    /**
     * 获取 [车架号]
     */
    public String getCjh(){
        return Cjh ;
    }

    /**
     * 设置 [车架号]
     */
    public void setCjh(String  cjh){
        this.Cjh = cjh ;
        this.CjhDirtyFlag = true ;
    }

        /**
     * 获取 [车架号]脏标记
     */
    public boolean getCjhDirtyFlag() {
        return CjhDirtyFlag ;
    }
    /**
     * 获取 [车辆大类]
     */
    public String getCldl(){
        return Cldl ;
    }

    /**
     * 设置 [车辆大类]
     */
    public void setCldl(String  cldl){
        this.Cldl = cldl ;
        this.CldlDirtyFlag = true ;
    }

        /**
     * 获取 [车辆大类]脏标记
     */
    public boolean getCldlDirtyFlag() {
        return CldlDirtyFlag ;
    }
    /**
     * 获取 [车辆类型描述]
     */
    public String getCllxms(){
        return Cllxms ;
    }

    /**
     * 设置 [车辆类型描述]
     */
    public void setCllxms(String  cllxms){
        this.Cllxms = cllxms ;
        this.CllxmsDirtyFlag = true ;
    }

        /**
     * 获取 [车辆类型描述]脏标记
     */
    public boolean getCllxmsDirtyFlag() {
        return CllxmsDirtyFlag ;
    }
    /**
     * 获取 [车辆实际价值]
     */
    public BigDecimal getClsjjz(){
        return Clsjjz ;
    }

    /**
     * 设置 [车辆实际价值]
     */
    public void setClsjjz(BigDecimal  clsjjz){
        this.Clsjjz = clsjjz ;
        this.ClsjjzDirtyFlag = true ;
    }

        /**
     * 获取 [车辆实际价值]脏标记
     */
    public boolean getClsjjzDirtyFlag() {
        return ClsjjzDirtyFlag ;
    }
    /**
     * 获取 [车辆种类]
     */
    public String getClzl(){
        return Clzl ;
    }

    /**
     * 设置 [车辆种类]
     */
    public void setClzl(String  clzl){
        this.Clzl = clzl ;
        this.ClzlDirtyFlag = true ;
    }

        /**
     * 获取 [车辆种类]脏标记
     */
    public boolean getClzlDirtyFlag() {
        return ClzlDirtyFlag ;
    }
    /**
     * 获取 [车牌号码]
     */
    public String getCphm(){
        return Cphm ;
    }

    /**
     * 设置 [车牌号码]
     */
    public void setCphm(String  cphm){
        this.Cphm = cphm ;
        this.CphmDirtyFlag = true ;
    }

        /**
     * 获取 [车牌号码]脏标记
     */
    public boolean getCphmDirtyFlag() {
        return CphmDirtyFlag ;
    }
    /**
     * 获取 [厂牌型号]
     */
    public String getCPXH(){
        return CPXH ;
    }

    /**
     * 设置 [厂牌型号]
     */
    public void setCPXH(String  cPXH){
        this.CPXH = cPXH ;
        this.CPXHDirtyFlag = true ;
    }

        /**
     * 获取 [厂牌型号]脏标记
     */
    public boolean getCPXHDirtyFlag() {
        return CPXHDirtyFlag ;
    }
    /**
     * 获取 [建立时间]
     */
    public Timestamp getCreateDate(){
        return CreateDate ;
    }

    /**
     * 设置 [建立时间]
     */
    public void setCreateDate(Timestamp  createDate){
        this.CreateDate = createDate ;
        this.CreateDateDirtyFlag = true ;
    }

        /**
     * 获取 [建立时间]脏标记
     */
    public boolean getCreateDateDirtyFlag() {
        return CreateDateDirtyFlag ;
    }
    /**
     * 获取 [建立人]
     */
    public String getCreateMan(){
        return CreateMan ;
    }

    /**
     * 设置 [建立人]
     */
    public void setCreateMan(String  createMan){
        this.CreateMan = createMan ;
        this.CreateManDirtyFlag = true ;
    }

        /**
     * 获取 [建立人]脏标记
     */
    public boolean getCreateManDirtyFlag() {
        return CreateManDirtyFlag ;
    }
    /**
     * 获取 [打印厂牌型号]
     */
    public String getDycpxh(){
        return Dycpxh ;
    }

    /**
     * 设置 [打印厂牌型号]
     */
    public void setDycpxh(String  dycpxh){
        this.Dycpxh = dycpxh ;
        this.DycpxhDirtyFlag = true ;
    }

        /**
     * 获取 [打印厂牌型号]脏标记
     */
    public boolean getDycpxhDirtyFlag() {
        return DycpxhDirtyFlag ;
    }
    /**
     * 获取 [发动机号]
     */
    public String getFdjh(){
        return Fdjh ;
    }

    /**
     * 设置 [发动机号]
     */
    public void setFdjh(String  fdjh){
        this.Fdjh = fdjh ;
        this.FdjhDirtyFlag = true ;
    }

        /**
     * 获取 [发动机号]脏标记
     */
    public boolean getFdjhDirtyFlag() {
        return FdjhDirtyFlag ;
    }
    /**
     * 获取 [功率]
     */
    public Double getGl(){
        return Gl ;
    }

    /**
     * 设置 [功率]
     */
    public void setGl(Double  gl){
        this.Gl = gl ;
        this.GlDirtyFlag = true ;
    }

        /**
     * 获取 [功率]脏标记
     */
    public boolean getGlDirtyFlag() {
        return GlDirtyFlag ;
    }
    /**
     * 获取 [核定载客]
     */
    public Integer getHdzk(){
        return Hdzk ;
    }

    /**
     * 设置 [核定载客]
     */
    public void setHdzk(Integer  hdzk){
        this.Hdzk = hdzk ;
        this.HdzkDirtyFlag = true ;
    }

        /**
     * 获取 [核定载客]脏标记
     */
    public boolean getHdzkDirtyFlag() {
        return HdzkDirtyFlag ;
    }
    /**
     * 获取 [核定载质量]
     */
    public Double getHdzzl(){
        return Hdzzl ;
    }

    /**
     * 设置 [核定载质量]
     */
    public void setHdzzl(Double  hdzzl){
        this.Hdzzl = hdzzl ;
        this.HdzzlDirtyFlag = true ;
    }

        /**
     * 获取 [核定载质量]脏标记
     */
    public boolean getHdzzlDirtyFlag() {
        return HdzzlDirtyFlag ;
    }
    /**
     * 获取 [号牌底色]
     */
    public String getHpds(){
        return Hpds ;
    }

    /**
     * 设置 [号牌底色]
     */
    public void setHpds(String  hpds){
        this.Hpds = hpds ;
        this.HpdsDirtyFlag = true ;
    }

        /**
     * 获取 [号牌底色]脏标记
     */
    public boolean getHpdsDirtyFlag() {
        return HpdsDirtyFlag ;
    }
    /**
     * 获取 [号牌种类]
     */
    public String getHpzl(){
        return Hpzl ;
    }

    /**
     * 设置 [号牌种类]
     */
    public void setHpzl(String  hpzl){
        this.Hpzl = hpzl ;
        this.HpzlDirtyFlag = true ;
    }

        /**
     * 获取 [号牌种类]脏标记
     */
    public boolean getHpzlDirtyFlag() {
        return HpzlDirtyFlag ;
    }
    /**
     * 获取 [排量]
     */
    public Double getPl(){
        return Pl ;
    }

    /**
     * 设置 [排量]
     */
    public void setPl(Double  pl){
        this.Pl = pl ;
        this.PlDirtyFlag = true ;
    }

        /**
     * 获取 [排量]脏标记
     */
    public boolean getPlDirtyFlag() {
        return PlDirtyFlag ;
    }
    /**
     * 获取 [使用性质]
     */
    public String getSyxz(){
        return Syxz ;
    }

    /**
     * 设置 [使用性质]
     */
    public void setSyxz(String  syxz){
        this.Syxz = syxz ;
        this.SyxzDirtyFlag = true ;
    }

        /**
     * 获取 [使用性质]脏标记
     */
    public boolean getSyxzDirtyFlag() {
        return SyxzDirtyFlag ;
    }
    /**
     * 获取 [更新时间]
     */
    public Timestamp getUpdateDate(){
        return UpdateDate ;
    }

    /**
     * 设置 [更新时间]
     */
    public void setUpdateDate(Timestamp  updateDate){
        this.UpdateDate = updateDate ;
        this.UpdateDateDirtyFlag = true ;
    }

        /**
     * 获取 [更新时间]脏标记
     */
    public boolean getUpdateDateDirtyFlag() {
        return UpdateDateDirtyFlag ;
    }
    /**
     * 获取 [更新人]
     */
    public String getUpdateMan(){
        return UpdateMan ;
    }

    /**
     * 设置 [更新人]
     */
    public void setUpdateMan(String  updateMan){
        this.UpdateMan = updateMan ;
        this.UpdateManDirtyFlag = true ;
    }

        /**
     * 获取 [更新人]脏标记
     */
    public boolean getUpdateManDirtyFlag() {
        return UpdateManDirtyFlag ;
    }
    /**
     * 获取 [新车购置价]
     */
    public BigDecimal getXcgzj(){
        return Xcgzj ;
    }

    /**
     * 设置 [新车购置价]
     */
    public void setXcgzj(BigDecimal  xcgzj){
        this.Xcgzj = xcgzj ;
        this.XcgzjDirtyFlag = true ;
    }

        /**
     * 获取 [新车购置价]脏标记
     */
    public boolean getXcgzjDirtyFlag() {
        return XcgzjDirtyFlag ;
    }
    /**
     * 获取 [已登记机动车标识]
     */
    public String getYDJJDCId(){
        return YDJJDCId ;
    }

    /**
     * 设置 [已登记机动车标识]
     */
    public void setYDJJDCId(String  yDJJDCId){
        this.YDJJDCId = yDJJDCId ;
        this.YDJJDCIdDirtyFlag = true ;
    }

        /**
     * 获取 [已登记机动车标识]脏标记
     */
    public boolean getYDJJDCIdDirtyFlag() {
        return YDJJDCIdDirtyFlag ;
    }
    /**
     * 获取 [已登记机动车名称]
     */
    public String getYDJJDCName(){
        return YDJJDCName ;
    }

    /**
     * 设置 [已登记机动车名称]
     */
    public void setYDJJDCName(String  yDJJDCName){
        this.YDJJDCName = yDJJDCName ;
        this.YDJJDCNameDirtyFlag = true ;
    }

        /**
     * 获取 [已登记机动车名称]脏标记
     */
    public boolean getYDJJDCNameDirtyFlag() {
        return YDJJDCNameDirtyFlag ;
    }
    /**
     * 获取 [整备质量]
     */
    public Double getZbzl(){
        return Zbzl ;
    }

    /**
     * 设置 [整备质量]
     */
    public void setZbzl(Double  zbzl){
        this.Zbzl = zbzl ;
        this.ZbzlDirtyFlag = true ;
    }

        /**
     * 获取 [整备质量]脏标记
     */
    public boolean getZbzlDirtyFlag() {
        return ZbzlDirtyFlag ;
    }
}
